KFileViewSignaler class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileViewSignaler Class Reference

internal class to make easier to use signals possible More...

`#include <kfileview.h>`

Inheritance diagram for KFileViewSignaler:

[legend]
Collaboration diagram for KFileViewSignaler:

[legend]
List of all members.

## Signals
void | dirActivated (const KFileItem *)
void | sortingChanged (QDir::SortSpec)
void | fileHighlighted (const KFileItem *)
| the item maybe be 0L, indicating that we're in multiselection mode and the selection has changed.
void | fileSelected (const KFileItem *)
void | activatedMenu (const KFileItem *i, const QPoint &)
## Public Member Functions
void | activate (const KFileItem *item)
| Call this method when an item is selected (depends on single click / double click configuration).
void | highlightFile (const KFileItem *i)
| emits the highlighted signal for item.
void | activateMenu (const KFileItem *i, const QPoint &pos)
void | changeSorting (QDir::SortSpec sorting)

## Detailed Description

internal class to make easier to use signals possible

Definition at line 37 of file kfileview.h.

## Member Function Documentation

void KFileViewSignaler::activate | ( | const KFileItem * | item | ) | `[inline]`

| Call this method when an item is selected (depends on single click / double click configuration). Emits the appropriate signal. Definition at line 46 of file kfileview.h. References KFileItem::isDir().

void KFileViewSignaler::highlightFile | ( | const KFileItem * | i | ) | `[inline]`

| emits the highlighted signal for item. Call this in your view class whenever the selection changes. Definition at line 56 of file kfileview.h. References fileHighlighted().

void KFileViewSignaler::fileHighlighted | ( | const KFileItem * |  | ) | `[signal]`

| the item maybe be 0L, indicating that we're in multiselection mode and the selection has changed. Referenced by highlightFile().

The documentation for this class was generated from the following file:

- kfileview.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:34 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001